%define module  Cache-Simple-TimedExpiry
%define name    perl-%{module}
%define version 0.27
%define release %mkrel 2

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:            Perl module to add expiry to Cache::Simple object
License:	    GPL or Artistic
Group:		    Development/Perl
Url:		    http://search.cpan.org/dist/%{module}
Source:		    http://www.cpan.org/modules/by-module/Cache/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:      noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Perl module to add expiry to Cache::Simple object.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/%{perl_vendorarch}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes 
%{perl_vendorlib}/Cache
%{_mandir}/man3/*




%changelog
* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 0.27-2mdv2009.0
+ Revision: 218996
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.27-1mdv2008.0
+ Revision: 19251
-New version


* Wed Nov 01 2006 Michael Scherer <misc@mandriva.org> 0.26-2mdv2007.0
+ Revision: 74867
- Rebuild for new extension
- Import perl-Cache-Simple-TimedExpiry

